> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get POS settings

> Retrieve POS Settings for company's POS ID.



## OpenAPI

````yaml /openapi.yaml post /v2/pos/{posSystemId}/settings/lookup
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /v2/pos/{posSystemId}/settings/lookup:
    post:
      tags:
        - Settings
      summary: Get POS settings
      description: Retrieve POS Settings for company's POS ID.
      operationId: PosV2Settings_GetSettings
      parameters:
        - name: posSystemId
          in: path
          description: POS system id
          required: true
          schema:
            type: string
      requestBody:
        description: Request
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/PosCompanySettingsRequest'
            example:
              posCompanyId: 6orMqUyq2Hg3tP
          application/json:
            schema:
              $ref: '#/components/schemas/PosCompanySettingsRequest'
            example:
              posCompanyId: 6orMqUyq2Hg3tP
          text/json:
            schema:
              $ref: '#/components/schemas/PosCompanySettingsRequest'
            example:
              posCompanyId: 6orMqUyq2Hg3tP
          application/*+json:
            schema:
              $ref: '#/components/schemas/PosCompanySettingsRequest'
            example:
              posCompanyId: 6orMqUyq2Hg3tP
          application/xml:
            schema:
              $ref: '#/components/schemas/PosCompanySettingsRequest'
            example:
              posCompanyId: 6orMqUyq2Hg3tP
          text/xml:
            schema:
              $ref: '#/components/schemas/PosCompanySettingsRequest'
            example:
              posCompanyId: 6orMqUyq2Hg3tP
          application/*+xml:
            schema:
              $ref: '#/components/schemas/PosCompanySettingsRequest'
            example:
              posCompanyId: 6orMqUyq2Hg3tP
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PosCompanySettingsResponseApiResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/PosCompanySettingsResponseApiResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/PosCompanySettingsResponseApiResponse'
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    PosCompanySettingsRequest:
      required:
        - posCompanyId
      type: object
      properties:
        posCompanyId:
          minLength: 1
          type: string
          description: The company POS identifier
      additionalProperties: false
      description: Request model for POS company settings
    PosCompanySettingsResponseApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PosCompanySettingsResponse'
      additionalProperties: false
    PosCompanySettingsResponse:
      type: object
      properties:
        posCompanyId:
          type: string
          description: POS company identifier
          nullable: true
        accountStatus:
          $ref: '#/components/schemas/PosCompanyAccountStatusDto'
        companySettings:
          $ref: '#/components/schemas/PosCompanySettingsDetailsResponse'
        notificationSettings:
          $ref: '#/components/schemas/PosNotificationSettingsDto'
      additionalProperties: false
      description: Pos settings data
    PosCompanyAccountStatusDto:
      enum:
        - AccountNotFound
        - AccountRegistrationStarted
        - AccountCreated
      type: string
      description: Represents the account status of a POS company.
    PosCompanySettingsDetailsResponse:
      type: object
      properties:
        isCheckInMenuEnabled:
          type: boolean
          description: Identifies if Check-in menu available
        isTransactionsEnabled:
          type: boolean
          description: Identifies if POS transactions are enabled
        isPosRulesEnabled:
          type: boolean
          description: Identifies if POS rules are enabled
        isReceiptPromotionEnabled:
          type: boolean
          description: Identifies if POS receipt promotions are enabled
        isCouponsEnabled:
          type: boolean
          description: Identifies if POS coupons are enabled
        isProductsImportEnabled:
          type: boolean
          description: Identifies whether the product import is automatic
      additionalProperties: false
      description: Pos company settings details
    PosNotificationSettingsDto:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/PosFeatureStatus'
        channel:
          $ref: '#/components/schemas/PosNotificationsChannel'
        configuration:
          type: object
          additionalProperties:
            type: string
            nullable: true
          description: Represents the notification configuration
          nullable: true
      additionalProperties: false
      description: Represents notification settings
    PosFeatureStatus:
      enum:
        - Enabled
        - Disabled
      type: string
    PosNotificationsChannel:
      enum:
        - None
        - Webhook
        - PubNub
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````